File: changelog

package info (click to toggle)
octave-ocs 0.1.5-7
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 640 kB
  • sloc: cpp: 435; objc: 106; makefile: 13
file content (164 lines) | stat: -rw-r--r-- 5,821 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
octave-ocs (0.1.5-7) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/rules: Use override_dh_installdeb for post-install actions
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)
  * d/p/no-break-in-switch.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 14 Jun 2018 08:28:39 -0300

octave-ocs (0.1.5-6) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:34:54 -0200

octave-ocs (0.1.5-5) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:11 -0200

octave-ocs (0.1.5-4) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Upload to unstable

  [ Sébastien Villemot ]
  * Bump to debhelper compat level 10.
  * d/p/set_nonarch_path_for_pkg_add: refresh for this upstream version.
    (Closes: #865282)
  * d/control: Bump Standards-Version to 4.0.0.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 20 Jun 2017 07:41:38 -0300

octave-ocs (0.1.5-3) experimental; urgency=medium

  [ Rafael Laboissiere ]
  * d/control: Build-depend on texlive-latex-recommended instead of latex-xcolor
    (Closes: #865241)
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 20 Jun 2017 03:42:47 -0300

octave-ocs (0.1.5-2) unstable; urgency=medium

  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.8 (no changes needed)
  * d/p/date-in-pdf-doc.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 21 Jul 2016 03:39:40 -0300

octave-ocs (0.1.5-1) unstable; urgency=medium

  * Imported Upstream version 0.1.5
  * d/p/redefine-tt-it-bf.patch: remove patch, applied upstream.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 30 Sep 2015 17:35:40 +0200

octave-ocs (0.1.4-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 0.1.4
  * d/p/autoload-yes.diff: Remove patch (deprecated upstream)
  * d/p/set_nonarch_path_for_pkg_add: Refresh for new upstream version
  * d/p/redefine-tt-it-bf.patch: New patch

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 31 Jul 2015 11:26:20 +0200

octave-ocs (0.1.3-2) unstable; urgency=medium

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Rafael Laboissiere ]
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Use octave-maintainers mailing list as upstream contact
  * debian/watch: Use the SourceForge redirector
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * debian/copyright: Comply with DEP-5 specification

  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * Add Rafael Laboissiere and Mike Miller to Uploaders.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 22 Sep 2014 18:25:59 +0200

octave-ocs (0.1.3-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 0.1.3
  * Adapt patch autoload-yes.diff for the new upstream release
  * Adapt patch set_nonarch_path_for_pkg_add for the new upstream release
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/copyright: update to machine-readable format 1.0
  * Add doc-base file for iffspec_ocs.pdf
  * debian/check.m: Add file containing one of the examples in doc/

 -- Thomas Weber <tweber@debian.org>  Sun, 18 Mar 2012 18:50:00 +0100

octave-ocs (0.1.1-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.1, no changes required
  * Adapt patch set_nonarch_path_for_pkg_add for new upstream release.

 -- Thomas Weber <tweber@debian.org>  Wed, 04 May 2011 20:30:59 +0200

octave-ocs (0.1.0-2) unstable; urgency=low

  * New patch: set_nonarch_path_for_pkg_add: Change PKG_ADD and PKG_DEL to
    cater for the split of arch-independent and arch-dependent files in two
    separate directories (closes: #582750)

 -- Thomas Weber <tweber@debian.org>  Sat, 26 Jun 2010 22:03:45 +0200

octave-ocs (0.1.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571855)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * This release introduces an .oct file, switch architecture to 'any'
    accordingly. And remove the (now unnecessary) lintian overrides file.
  * Bump standards-version to 3.8.4, no changes needed.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 21 Apr 2010 23:32:04 +0200

octave-ocs (0.0.4-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Bump minimal dependency on octave-pkg-dev to 0.7.1 for the changed doc/
    handling in octave-pkg-dev.
  * Install documentation via octave-ocs.docs, following the change in
    octave-pkg-dev 0.7.1

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 30 Dec 2009 22:08:13 +0100

octave-ocs (0.0.3-1) unstable; urgency=low

  * Initial release. (Closes: #482619)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 15:40:00 +0200